const { CheckerPlugin } = require('awesome-typescript-loader')

module.exports = [{
    entry: {
        "browser": "./src/browser.tsx"
    },
    output: {
        path: __dirname + "/dist",
        filename: "[name].js"
    },
    // Currently we need to add '.ts' to the resolve.extensions array.
    resolve: {
        extensions: ['.ts', '.tsx', '.js', '.jsx']
    },

    // Source maps support ('inline-source-map' also works)
    devtool: 'source-map',

    // Add the loader for .ts files.
    module: {
        loaders: [
            {
                test: /\.tsx?$/,
                loader: 'awesome-typescript-loader'
            }
        ]
    },
    plugins: [
        new CheckerPlugin()
    ],
    externals: {
        "react": "React",
        "react-dom": "ReactDOM"
    }
},
{
    entry: {
        "server": "./src/server.tsx"
    },
    output: {
        path: __dirname + "/dist",
        filename: "[name].js"
    },
    // Currently we need to add '.ts' to the resolve.extensions array.
    resolve: {
        extensions: ['.ts', '.tsx', '.js', '.jsx']
    },

    // Source maps support ('inline-source-map' also works)
    devtool: 'source-map',

    // Add the loader for .ts files.
    module: {
        loaders: [
            {
                test: /\.tsx?$/,
                loader: 'awesome-typescript-loader'
            }
        ]
    },
    plugins: [
        new CheckerPlugin()
    ],
    target: "node"
}];